# -*- coding: utf-8 -*-
"""
@author: yq
@time: 2024/11/1
@desc:  常用指标实体集合
"""
from typing import Union

import pandas as pd


class MetricFucEntity():
    """
    指标计算函数结果类
    """

    def __init__(self, table: pd.DataFrame = None, value: str = None, image_path: Union[str, list] = None,
                 table_font_size=12, table_autofit=False, table_cell_width=None, image_size: int = 6):
        self._table = table
        self._table_font_size = table_font_size
        self._table_cell_width = table_cell_width
        self._table_autofit = table_autofit

        self._value = value
        self._image_path = image_path
        self._image_size = image_size

    @property
    def table_cell_width(self):
        return self._table_cell_width

    @property
    def table_autofit(self):
        return self._table_autofit

    @property
    def table_font_size(self):
        return self._table_font_size

    @property
    def table(self) -> pd.DataFrame:
        return self._table

    @property
    def value(self):
        return self._value

    @property
    def image_path(self):
        return self._image_path

    @property
    def image_size(self):
        return self._image_size


if __name__ == "__main__":
    pass
